Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003447TestLinkRequirement Managementpublic2010-05-08 22:352010-09-19 15:11
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 5 
Summary0003447: CVS Import child requirements - support same data than XML format
DescriptionUpdate CSV format to support same data that XML format
In addition allow comment lines (lines that start with #)

# new format
# column 1: Requirement DOC ID
# column 2: Title
# column 3: Scope
# column 4: Type -> see file cfg/const.inc.php TL_REQ_TYPE_*
# column 5: Status -> see file cfg/const.inc.php TL_REQ_STATUS_*
# column 6: expected_coverage
# column 7: order -> inside the set of req been imported
#
# DOCID , TITLE, SCOPE, TYPE, STATUS, EXPCOV, ORDER
TENG-0001,Terrestrial Propulsor,Scope For Terrestrial,1,V,3,2
TENG-0002,Main Deflector,"

Main deflector bla, bla, bla.

",2,V,1,4
TENG-0004,Main Deflector 3,,6,V,1,1
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0003719closedfman CSV requirement import doesn't work as documented 
related to 0003541closedfman Import requirements with CVS fails 

-  Notes
(0010504)
fman (administrator)
2010-07-02 18:35

1.9 Beta 5 released

- Issue History
Date Modified Username Field Change
2010-05-08 22:35 fman New Issue
2010-05-08 22:35 fman Status new => assigned
2010-05-08 22:35 fman Assigned To => fman
2010-05-09 16:33 fman Summary CVS Import - add new column type => CVS Import child requirements - support same data than XML format
2010-05-09 16:33 fman Description Updated
2010-05-17 19:56 fman Status assigned => resolved
2010-05-17 19:56 fman Fixed in Version => 1.9 Beta 5
2010-05-17 19:56 fman Resolution open => fixed
2010-07-02 18:35 fman Note Added: 0010504
2010-07-02 18:35 fman Status resolved => closed
2010-08-28 13:48 fman Relationship added has duplicate 0003719
2010-08-28 13:57 fman Relationship added related to 0003541



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker